Package fr.gouv.vitam.antivirus.rest

# Class AntivirusConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.antivirus.rest.AntivirusConfiguration

All Implemented Interfaces:
  `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class AntivirusConfiguration extends DefaultVitamApplicationConfiguration
AntivirusConfiguration contains access informations for antivirus

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AntivirusConfiguration()`
  AntivirusConfiguration empty constructor for YAMLFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAntiVirusScriptName()`
  `String[]`
  `getBasePaths()`
  `long`
  `getTimeoutScanDelay()`
  `AntivirusConfiguration`
  `setAntiVirusScriptName(String antiVirusScriptName)`
  `AntivirusConfiguration`
  `setBasePaths(String[] basePaths)`
  `AntivirusConfiguration`
  `setTimeoutScanDelay(long timeoutScanDelay)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, setBaseUri, setBaseUrl`

- ## Constructor Details

  - ### AntivirusConfiguration

    public AntivirusConfiguration()
    AntivirusConfiguration empty constructor for YAMLFactory

- ## Method Details

  - ### getBasePaths

    public String[] getBasePaths()
    Returns:
      path

  - ### setBasePaths

    public AntivirusConfiguration setBasePaths(String[] basePaths)
    Parameters:
      `basePaths` - to set to configuration
    Returns:
      AntivirusConfiguration

  - ### getAntiVirusScriptName

    public String getAntiVirusScriptName()
    Returns:
      antiVirusScriptName

  - ### setAntiVirusScriptName

    public AntivirusConfiguration setAntiVirusScriptName(String antiVirusScriptName)
    Parameters:
      `antiVirusScriptName` - the antivirus script name to set
    Returns:
      AntivirusConfiguration

  - ### getTimeoutScanDelay

    public long getTimeoutScanDelay()
    Returns:
      long

  - ### setTimeoutScanDelay

    public AntivirusConfiguration setTimeoutScanDelay(long timeoutScanDelay)
    Parameters:
      `timeoutScanDelay` - set to configuration
    Returns:
      AntivirusConfiguration